CICSRegion (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.CICSRegion interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface CICSRegion

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Version

    public interface CICSRegion

extends AppServer, Version

A specific address space on zOS that is participating in CICS processing

Naming Rules:
  0="applID,netID" 1="parent,jobName"
Persistable:
  true
Table Name:
  APPSCICS
Top Level:
  true
Display Name:
  parent,jobName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`java.lang.String` | `getACBName()` Depracated.
`java.lang.String` | `getApplID()` The VTAM access control block name used as an endpoint for SNA communications with CICS.
`BindAddress` | `getBindaddress()`
`CICSFile[]` | `getCicsfiles()`
`CICSProgram[]` | `getCicsprograms()`
`CICSTransaction[]` | `getCicstransactions()`
`java.lang.String` | `getFilesChecksum()`
`java.lang.String` | `getGRName()`
`java.lang.String` | `getJobName()` The name of the job for this CICS Region Jobnames are not guaranteed to be unique within a z/OS system but they usually are since it is difficult to manage them otherwise.
`java.lang.String` | `getNetID()`
`ZOS` | `getParent()`
`java.lang.String` | `getProgramsChecksum()`
`java.lang.String` | `getSIT()`
`java.lang.String` | `getSITOverrides()`
`java.lang.String` | `getTransactionsChecksum()`
`boolean` | `hasACBName()`
`boolean` | `hasApplID()`
`boolean` | `hasBindaddress()`
`boolean` | `hasCicsfiles()`
`boolean` | `hasCicsprograms()`
`boolean` | `hasCicstransactions()`
`boolean` | `hasFilesChecksum()`
`boolean` | `hasGRName()`
`boolean` | `hasJobName()`
`boolean` | `hasNetID()`
`boolean` | `hasParent()`
`boolean` | `hasProgramsChecksum()`
`boolean` | `hasSIT()`
`boolean` | `hasSITOverrides()`
`boolean` | `hasTransactionsChecksum()`
`void` | `setACBName(java.lang.String name)`
`void` | `setApplID(java.lang.String x)`
`void` | `setBindaddress(BindAddress x)`
`void` | `setCicsfiles(CICSFile[] x)`
`void` | `setCicsprograms(CICSProgram[] x)`
`void` | `setCicstransactions(CICSTransaction[] x)`
`void` | `setFilesChecksum(java.lang.String x)`
`void` | `setGRName(java.lang.String x)`
`void` | `setJobName(java.lang.String x)`
`void` | `setNetID(java.lang.String x)`
`void` | `setParent(ZOS x)`
`void` | `setProgramsChecksum(java.lang.String x)`
`void` | `setSIT(java.lang.String x)`
`void` | `setSITOverrides(java.lang.String x)`
`void` | `setTransactionsChecksum(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getJobName

    java.lang.String getJobName()
                                throws AttributeNotSetException

  The name of the job for this CICS Region Jobnames are not guaranteed to be unique within a z/OS system but they usually are since it is difficult to manage them otherwise. Long-running jobs very likely have unique jobnames. Transient jobs may sometimes have the same jobname and may even run concurrently . If the discovery encounters multiple instances of the jobname then only first instance is represented in the IDML book.

  Throws:
    `AttributeNotSetException`

### setJobName

    void setJobName(java.lang.String x)

### hasJobName

    boolean hasJobName()

### getParent

    ZOS getParent()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.RunsOn" reverse="false"

### setParent

    void setParent(ZOS x)

### hasParent

    boolean hasParent()

### getBindaddress

    BindAddress getBindaddress()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setBindaddress

    void setBindaddress(BindAddress x)

### hasBindaddress

    boolean hasBindaddress()

### getACBName

    java.lang.String getACBName()
                                throws AttributeNotSetException

  Depracated. Do not use. This is only provided for backwards compatibility.

  Throws:
    `AttributeNotSetException`

### setACBName

    void setACBName(java.lang.String name)

### hasACBName

    boolean hasACBName()

### getNetID

    java.lang.String getNetID()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNetID

    void setNetID(java.lang.String x)

### hasNetID

    boolean hasNetID()

### getSIT

    java.lang.String getSIT()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSIT

    void setSIT(java.lang.String x)

### hasSIT

    boolean hasSIT()

### getSITOverrides

    java.lang.String getSITOverrides()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSITOverrides

    void setSITOverrides(java.lang.String x)

### hasSITOverrides

    boolean hasSITOverrides()

### getApplID

    java.lang.String getApplID()
                               throws AttributeNotSetException

  The VTAM access control block name used as an endpoint for SNA communications with CICS. The acbname is unique within the SNA network and similar to IPName + IPPort.

  Throws:
    `AttributeNotSetException`

### setApplID

    void setApplID(java.lang.String x)

### hasApplID

    boolean hasApplID()

### getGRName

    java.lang.String getGRName()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGRName

    void setGRName(java.lang.String x)

### hasGRName

    boolean hasGRName()

### getCicsfiles

    CICSFile[] getCicsfiles()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setCicsfiles

    void setCicsfiles(CICSFile[] x)

### hasCicsfiles

    boolean hasCicsfiles()

### getTransactionsChecksum

    java.lang.String getTransactionsChecksum()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionsChecksum

    void setTransactionsChecksum(java.lang.String x)

### hasTransactionsChecksum

    boolean hasTransactionsChecksum()

### getCicsprograms

    CICSProgram[] getCicsprograms()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setCicsprograms

    void setCicsprograms(CICSProgram[] x)

### hasCicsprograms

    boolean hasCicsprograms()

### getProgramsChecksum

    java.lang.String getProgramsChecksum()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProgramsChecksum

    void setProgramsChecksum(java.lang.String x)

### hasProgramsChecksum

    boolean hasProgramsChecksum()

### getFilesChecksum

    java.lang.String getFilesChecksum()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFilesChecksum

    void setFilesChecksum(java.lang.String x)

### hasFilesChecksum

    boolean hasFilesChecksum()

### getCicstransactions

    CICSTransaction[] getCicstransactions()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setCicstransactions

    void setCicstransactions(CICSTransaction[] x)

### hasCicstransactions

    boolean hasCicstransactions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD